#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin >> a >> b >> x >> y;
    if (a==x && b==y) cout << "nijedan" << endl;
    else if (a==x) cout << "drugi" << endl;
    else if (b==y) cout << "prvi" << endl;
    else cout << "?" << endl;
    return 0;
}